--- 
layout: post
title: Open, Social for the rest of the web
created: 1240426250
permalink: blog/walkah/open-social-rest-web
tags: 
- drupal
- openid
- diso
- oauth
- swfoo
- openweb
---
This past weekend, I had the privilege of being one of the chosen attendees for [Social Web FooCamp](http://swfoo09.pbwiki.com/). Needless to say, I was flattered and had an amazing time (thanks again, @daveman692 and @davemorin ) . One thing, however, became very apparent: the conversation, currently, is being dominated by the 'big players' (Google, Yahoo, Facebook and Myspace predominantly). In several discussions I found myself increasingly dropping the phrase:

> ... on the rest of the web

### the big guys ###

First off, this is not a critique of the Google's and Facebook's of the internet. They are incredibly valuable to the growth of the openweb. The fact that Google, Yahoo and Myspace all three have various OpenID and OAuth initiatives in the wild and are actively pursuing additional ways to open their data is awesome (and Facebook wants to get there). It helps raise awareness and bring (slash confirm) "legitimacy".

The big guys also have resources. They can attend the conferences (and camps!) and have dedicated resources to write the standards, participate in the discussions and help shape the future.

However, they are only part of the discussion.

### perspective ###

The issues the major providers face are different from the rest. They have a few sites with large numbers of users (hundreds of millions). Out here on the rest of the web, we have millions of websites, each with a "small" number of users (hundreds or thousands). We all understand the necessity for open data, identity, standards and protocols, but our reasoning tends to be slightly different.

The big guys recognize the benefit of exposing their data and most are providing OpenID and various levels of OAuth. How many are consuming it?

Sure, the big players want to be the primary authority for your identity and your information. In some cases, it *is* their business. But, rather than ranting against 'the man', I ask: have we - the rest of the web - given them a compelling reason to yet?

### open source platforms for the open web ### 

It's one thing for a major site (with hundreds of millions of users) to act like a silo, but on the rest of the web it amounts to isolation. 

Those of us working on open source web platforms have an enormous potential for influence here. Implementing the various open standards "from scratch", while possible, is not realistic or even necessary. Increasingly, individuals have [Wordpress](http://wordpress.org/) blogs or perhaps their company, organization or club has a [Drupal](http://drupal.org/) site. Web developers are increasingly turning to these platforms, or development frameworks such as [Rails](http://rubyonrails.org/) and [Django](http://www.djangoproject.com/). These platforms all have a real opportunity to bake in implementations of these open standards. The [DiSo project](http://diso-project.org/) offers a central place for co-ordination around these efforts.

We have data - gobs of it. We also, collectively, have the users and, in most cases, have more authoritative information about them (we know ourselves, our employees and our members).

We - the rest of the web - need to join the conversation: attend the events, participate in the mailing lists, and *build* the code to power the open, social web.
