--- 
layout: post
title: Living in the browser
created: 1253659796
permalink: blog/walkah/living-browser
tags: 
- firefox
- gtd
- lifehacks
- gmail
---
For a long time I've maintained that I hate web applications. It's good for a laugh (in certain circles), but has been mostly true. Web interfaces have (traditionally) been clunky, lack integration with the desktop, don't work offline, and are generally just unpleasant to use.

Lately, I've been re-testing that theory and have surprised myself with the results:

I'm living in the browser.

OK, not *entirely*. But my currently running applications include: [Firefox](http://www.mozilla.com/en-US/firefox/personal.html), [Emacs](http://www.gnu.org/software/emacs/), Terminal, [Adium](http://adium.im/) and iTunes (sorry, songbird).

The frequent, attentive readers among you know that I've been tinkering with "Single Site Browsers" lately as part of this experiment - because, if I'm using Firefox for development - I don't want "other stuff" cluttering that. Well, a recent [article on lifehacker](http://lifehacker.com/5344395/icon+only-permatabs-collection-streamlines-your-minimal-gmail-google-reader-tabs) made me rethink my approach. 

The article outlines a way to have "permanent" tabs(i.e. tabs that automatically reload when you restart yoru browser) that only appear as a favicon (thus saving screen real estate). My current lineup looks like this :

![permatabs](http://walkah.net/sites/walkah.net/files/perma-favicon-tabs.png)

That's gmail (personal and [work](http://www.lullabot.com/)), [remember the milk](http://www.rememberthemilk.com/), google voice and google reader. 

For the last few weeks, I've been trying out this system and have found little reason to want to switch away from it. There are some properties that appeal to me: my application list is entirely cross-platform (substitute pidgin for adium) and free software. Application management, setup and configuration is minimal and I have to do very little application switching throughout the day. In fact, with my external monitor, I can fit everything on one screen where I can see it.

Ditching a desktop mail reader was obviously the biggest shift. But in the case of gmail, rtm and google reader there are a few things in common that make these "work" for me as desktop replacements: offline mode (thanks to [google gears](http://gears.google.com/)), extensive keyboard shortcuts (better than their desktop equivalents), regular updates / improvments and APIs / methods for extensions.

Here's my current list of Firefox extensions, let me know if I'm missing any great ones:

 * [1Password](http://agilewebsolutions.com/products/1Password)
 * [Better Gmail 2](https://addons.mozilla.org/en-US/firefox/addon/6076)
 * [Better GReader](https://addons.mozilla.org/en-US/firefox/addon/6424)
 * [Evernote Web Clipper](https://addons.mozilla.org/en-US/firefox/addon/8381) - still determined to use evernote effectively
 * [FaviconizeTab](https://addons.mozilla.org/en-US/firefox/addon/3780)
 * [Firebug](http://getfirebug.com/) (always)
 * [Gmail S/MIME](https://addons.mozilla.org/en-US/firefox/addon/592)
 * [Google Gears](http://gears.google.com/) - offline goodness
 * [Greasemonkey](https://addons.mozilla.org/en-US/firefox/addon/748)
 * [PermaTabs Mod](https://addons.mozilla.org/en-US/firefox/addon/7816)
 * [Remember The Milk for Gmail](http://www.rememberthemilk.com/services/gmail/) - to help solve the problem of my todo list not getting enough 'focus'

How much of your life do you spend living in your browser?
